Skip to content

POST /providers/custom/email01/send-email

Endpoint

POST /providers/custom/email01/send-email

Headers

biometrid-app: YOUR_APP_ID
biometrid-credential: YOUR_CREDENTIAL_ID
Content-Type: application/json

Request Body

{
  "template": "link",
  "processId": "string",
  "email": "user@example.com",
  "name": "John Doe"
}

Parameters

Field Type Required Description
template string yes Email template type (currently only "link" is supported)
processId string yes Process ID to include in email
email string yes Recipient email address
name string yes Recipient name

cURL Example

curl -X POST "https://api.biometrid.com/providers/custom/email01/send-email" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "template": "link",
    "processId": "process_abc123",
    "email": "user@example.com",
    "name": "John Doe"
  }'

Response (200)

{
  "data": {
    "success": true
  },
  "meta": {
    "message": "Successful got provider response send email",
    "code": "BIOEMCTS001"
  },
  "status": true
}

Response (403)

{
  "data": {},
  "meta": {
    "message": "Process finished",
    "code": "BIOPMSCE002"
  },
  "status": false
}

Response (404)

{
  "data": {},
  "meta": {
    "message": "App not found",
    "code": "BIOAPPSE005"
  },
  "status": false
}

Response (409)

{
  "data": {},
  "meta": {
    "message": "Flow not active",
    "code": "BIOACASE006"
  },
  "status": false
}